/* tslint:disable */
/* eslint-disable */
/* prettier-ignore */
// This document is generated by rokot-apicontroller-client-generator. DO NOT edit directly.

export interface HeaderMap {
    [k: string]: string;
}

export interface IFetcher {
    request<T>(url: string, verb: string, contentType: string, body?: any, headers?: HeaderMap): Promise<T>;
    buildQueryString(query?: any): string;
    requestValidate?(routeUniqueName: string, paramValues: {
        body?: any;
        params?: any;
        query?: any;
    }): Promise<void>;
}

export enum TestEnum {
    One = "TestOne"
}

export class ClassOne {
    enumValue: TestEnum;
}

export class TestController {
    constructor(private fetcher: IFetcher) { }
    getAll = (headers?: HeaderMap): Promise<ClassOne> => {
        return this.fetcher.request<ClassOne>(`test/all`, "get", "application/json", undefined, headers);
    };
}

export class ApiClient {
    constructor(private fetcher: IFetcher) { }
    test = new TestController(this.fetcher);
}